using NUnit.Framework;
using System.IO;

namespace RecrownedGTK.Tests {
    [TestFixture]
    public class UtilitiesTest {
        [Test]
        public void TestReadEmbeddedStream() {
            string content;
            using (StreamReader reader = new StreamReader(Utilities.ReadEmbeddedFile("RecrownedGTK.Graphics.Render.Shaders.default.vert"))) {
                content = reader.ReadToEnd();
            }
            Assert.AreEqual(content, File.ReadAllText("RecrownedGTK.Tests/assets/default.vert"));
        }
    }
}